# Generated by Django 3.0 on 2019-12-22 05:57

import BookMediaSharing.Enums
import BookMediaSharing.Utility
from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django_enumfield.db.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='MyUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.EmailField(max_length=30)),
                ('name_surname', models.CharField(max_length=30)),
                ('password', models.CharField(max_length=30)),
                ('user_state', django_enumfield.db.fields.EnumField(default=0, enum=BookMediaSharing.Enums.UserState)),
                ('verification_code', models.CharField(default=BookMediaSharing.Utility.generateVerificationCode, max_length=30)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='profile', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='NotificationList',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('notification', models.TextField()),
                ('container', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='BookMediaSharing.MyUser')),
            ],
        ),
        migrations.CreateModel(
            name='Item',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, max_length=30)),
                ('artist', models.CharField(blank=True, max_length=30)),
                ('genre', models.CharField(blank=True, max_length=30)),
                ('year', models.CharField(blank=True, max_length=10)),
                ('type', django_enumfield.db.fields.EnumField(enum=BookMediaSharing.Enums.ItemType)),
                ('location', django_enumfield.db.fields.EnumField(enum=BookMediaSharing.Enums.Location)),
                ('uniqid', models.CharField(blank=True, default=None, max_length=15)),
                ('view_access_state', django_enumfield.db.fields.EnumField(default=0, enum=BookMediaSharing.Enums.AccessState)),
                ('detail_access_state', django_enumfield.db.fields.EnumField(default=0, enum=BookMediaSharing.Enums.AccessState)),
                ('borrow_access_state', django_enumfield.db.fields.EnumField(default=0, enum=BookMediaSharing.Enums.AccessState)),
                ('comment_access_state', django_enumfield.db.fields.EnumField(default=0, enum=BookMediaSharing.Enums.AccessState)),
                ('search_access_state', django_enumfield.db.fields.EnumField(default=0, enum=BookMediaSharing.Enums.AccessState)),
                ('is_available', models.BooleanField(default=True)),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='BookMediaSharing.MyUser')),
            ],
        ),
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.CharField(max_length=30)),
                ('comment', models.TextField()),
                ('container', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='BookMediaSharing.Item')),
            ],
        ),
        migrations.CreateModel(
            name='Borrow',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.CharField(max_length=30)),
                ('time', models.DurationField()),
                ('container', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='BookMediaSharing.Item')),
            ],
        ),
        migrations.CreateModel(
            name='UserWatchList',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.CharField(max_length=30)),
                ('watch_method', django_enumfield.db.fields.EnumField(enum=BookMediaSharing.Enums.WatchMethod)),
                ('container', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='BookMediaSharing.MyUser')),
            ],
            options={
                'unique_together': {('container', 'email')},
            },
        ),
        migrations.CreateModel(
            name='Rate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.CharField(max_length=30)),
                ('rate', models.IntegerField(default=1, validators=[django.core.validators.MaxValueValidator(5), django.core.validators.MinValueValidator(1)])),
                ('container', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='BookMediaSharing.Item')),
            ],
            options={
                'unique_together': {('container', 'email')},
            },
        ),
        migrations.CreateModel(
            name='ItemWatchList',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.CharField(max_length=30)),
                ('watch_method', django_enumfield.db.fields.EnumField(enum=BookMediaSharing.Enums.WatchMethod)),
                ('container', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='BookMediaSharing.Item')),
            ],
            options={
                'unique_together': {('container', 'email')},
            },
        ),
        migrations.CreateModel(
            name='FriendshipRequest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.CharField(max_length=30)),
                ('container', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'unique_together': {('container', 'email')},
            },
        ),
        migrations.CreateModel(
            name='Friendship',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.CharField(max_length=30)),
                ('friendship_status', django_enumfield.db.fields.EnumField(default=0, enum=BookMediaSharing.Enums.FriendshipStatus)),
                ('container', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='BookMediaSharing.MyUser')),
            ],
            options={
                'unique_together': {('container', 'email')},
            },
        ),
        migrations.CreateModel(
            name='BorrowRequest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.CharField(max_length=30)),
                ('container', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='BookMediaSharing.Item')),
            ],
            options={
                'unique_together': {('container', 'email')},
            },
        ),
    ]
